<template>
    <div>
        <h1>Classes</h1>
        <router-link
            tag="div"
            v-for="classe in classes"
            :key="classe.id"
            :to="{
                name: 'VisualisationClasse',
                params: { id: classe.id }
            }"
        >
            {{ classe.libelle }}
        </router-link>
        <router-link
            tag="button"
            class="uk-button uk-button-default"
            :to="'Classe'"
            >Créer une nouvelle classe</router-link
        >
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Axios from '@/auth/axiosAuth';
import Component from 'vue-class-component';
@Component
export default class ListeClasse extends Vue {
    private classes: any[] = [];

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('classe/professeur/' + vm.$auth.user.id, response => {
                vm.classes = response.data;
            });
        });
    }
}
</script>
